Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class BaseConfig

    java.lang.Object
      com.endeca.itl.cas.BaseConfig

All Implemented Interfaces:
  java.io.Serializable

    public class BaseConfig

extends java.lang.Object
implements java.io.Serializable

A Base Config allows a client to specify information that doesn't relate to specific modules for a particular crawl run. This includes the number of crawl threads to be used by a particular crawl, and the level of logging.

See Also:
  Serialized Form

Constructor Summary
`BaseConfig()`
`BaseConfig(org.apache.axis.types.PositiveInteger crawlThreads, LoggingLevel loggingLevel)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`org.apache.axis.types.PositiveInteger` | `getCrawlThreads()` Gets the crawlThreads value for this BaseConfig.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`LoggingLevel` | `getLoggingLevel()` Gets the loggingLevel value for this BaseConfig.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCrawlThreads(org.apache.axis.types.PositiveInteger crawlThreads)` Sets the crawlThreads value for this BaseConfig.
`void` | `setLoggingLevel(LoggingLevel loggingLevel)` Sets the loggingLevel value for this BaseConfig.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseConfig

    public BaseConfig()

### BaseConfig

    public BaseConfig(org.apache.axis.types.PositiveInteger crawlThreads,
                      LoggingLevel loggingLevel)

Method Detail

### getCrawlThreads

    public org.apache.axis.types.PositiveInteger getCrawlThreads()

  Gets the crawlThreads value for this BaseConfig.

  Returns:
    crawlThreads

### setCrawlThreads

    public void setCrawlThreads(org.apache.axis.types.PositiveInteger crawlThreads)

  Sets the crawlThreads value for this BaseConfig.

  Parameters:
    `crawlThreads` -

### getLoggingLevel

    public LoggingLevel getLoggingLevel()

  Gets the loggingLevel value for this BaseConfig.

  Returns:
    loggingLevel

### setLoggingLevel

    public void setLoggingLevel(LoggingLevel loggingLevel)

  Sets the loggingLevel value for this BaseConfig.

  Parameters:
    `loggingLevel` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500